### Method

# Phosh BackgroundManager get_data

#### Declaration [src]

    PhoshBackgroundData*
    phosh_background_manager_get_data (
      PhoshBackgroundManager* self,
      PhoshBackground* background
    )

#### Description [src]

Get the data that allows a `PhoshBackground` to build it’s image. This is the single place that determines this so other parts don’t need to care whether we handle a slide or a single image.

This method is not directly available to language bindings.

#### Parameters

`background`

  Type: `PhoshBackground`

  The background to fetch information fore.

  The data is owned by the caller of the method.

#### Return value

Type: `PhoshBackgroundData`

The data allowing to build a background image.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.